Bug 243795 - multimedia/zoneminder: Update to 1.34.1
Summary: multimedia/zoneminder: Update to 1.34.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL: https://github.com/ZoneMinder/zonemin...
Keywords:
Depends on:
Blocks: 243521
  Show dependency treegraph
 
Reported: 2020-02-02 12:43 UTC by Ivan
Modified: 2020-02-24 09:45 UTC (History)
1 user (show)

See Also:


Attachments
patch (20.00 KB, patch)
2020-02-02 12:43 UTC, Ivan
no flags Details | Diff
poudriere log (196.54 KB, application/gzip)
2020-02-02 12:49 UTC, Ivan
no flags Details
patch (20.61 KB, patch)
2020-02-02 13:00 UTC, Ivan
koobs: maintainer-approval+
Details | Diff
Proposed patch for 1.34.3 (21.52 KB, patch)
2020-02-23 11:49 UTC, Emanuel Haupt
no flags Details | Diff
Proposed patch for 1.34.3 (fixed pkg-plist) (402.41 KB, patch)
2020-02-23 12:00 UTC, Emanuel Haupt
ehaupt: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2020-02-02 12:43:34 UTC
Created attachment 211273 [details]
patch

This is largely a fixes & polish release. There are a number of bug fixes and security improvements in here.
Comment 1 Ivan 2020-02-02 12:49:58 UTC
Created attachment 211274 [details]
poudriere log

Tested on 11.3 and 12.1 amd64
Comment 2 Ivan 2020-02-02 13:00:55 UTC
Created attachment 211275 [details]
patch
Comment 3 Emanuel Haupt freebsd_committer 2020-02-23 11:47:21 UTC
Hello Ivan, thank you for your patch. Meanwhile 1.34.3 has been released. Are there any objections updating to this release? (see patch).
Comment 4 Emanuel Haupt freebsd_committer 2020-02-23 11:49:32 UTC
Created attachment 211852 [details]
Proposed patch for 1.34.3
Comment 5 Emanuel Haupt freebsd_committer 2020-02-23 12:00:28 UTC
Created attachment 211853 [details]
Proposed patch for 1.34.3 (fixed pkg-plist)
Comment 6 Ivan 2020-02-23 20:24:30 UTC
Comment on attachment 211853 [details]
Proposed patch for 1.34.3 (fixed pkg-plist)

It builds and runs on my test system, thank you for the update.
Please share your tricks about painless port updates? I have a big trouble with this.
If I make stuff on my laptop, I can't test it as I don't have enough CPU to build all chain (and don't want to mess with my working environment), if I update on my poudriere machine, I can't use `make` to create patches or plist as make defaults to /usr/ports, but poudriere keeps them at /usr/local/poudriere.
Comment 7 commit-hook freebsd_committer 2020-02-24 09:43:48 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Feb 24 09:43:36 UTC 2020
New revision: 526960
URL: https://svnweb.freebsd.org/changeset/ports/526960

Log:
  Update to 1.34.3

  PR:		243795
  Submitted by:	bsd@abinet.ru (maintainer)

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/distinfo
  head/multimedia/zoneminder/files/README.FreeBSD
  head/multimedia/zoneminder/files/extra-patch-CMakeLists.txt
  head/multimedia/zoneminder/files/patch-CMakeLists.txt
  head/multimedia/zoneminder/files/patch-cmake_Modules_Pod2Man.cmake
  head/multimedia/zoneminder/files/patch-scripts_CMakeLists.txt
  head/multimedia/zoneminder/files/patch-src_CMakeLists.txt
  head/multimedia/zoneminder/files/patch-src_zm__video.cpp
  head/multimedia/zoneminder/pkg-plist
Comment 8 Emanuel Haupt freebsd_committer 2020-02-24 09:45:25 UTC
Updated, thanks! Concerning your question, I'll contact you off-ticket.